Subject: Re: [mobile-ip] [ID-Announce] Recommendations for Achieving SeamlessIPv6 Handover in IEEE 802.11 Net

From: "Paul Tan Hock Lai" <[email-masked]>
Date: Wed, 05 Mar 2003 17:08:33 +0800

Hi Greg,

firstly, I would like to apologise to the WG for the previous multiple 
posts. 

>> Section 7.2.3 of 802.11 mentions that IEs which aren't
>> understood may be ignored by those reading the IEs.
>> This means that nodes which understand the application
>> specific IEs will be able to process them and other
>> devices will skip them (if those devices conform to 802.11).

I agree.

>> Unfortunately, there is not any Application-Specific-IE
>> defined in 802.11, and the abovementioned paragraph
>> says: "Element type codes not explicitly defined in
>> this standard are reserved, and do not appear in any frames."

Yes, I read about the specification, and I feel that if this extensible
approach is worth doing, then we can try to request a new Element 
Code (only 1 required) from the 802.11 WG. In this way, new future
application-specific information can be carried in this IE without
going thru the IEEE for a new type/code.

>> This means that the responsibility of allocating an
>> application-specific-IE rests with IEEE, rather than IETF.
>> I'm sure that for proof-of-concept this won't be a problem though.

I am currently working on this. And really hope to compare this approach
with existing ones (CAR Discovery & Movement Detection). I want to be sure 
that the recommendation will not do more harm than good ... I hope.

>> Also, I think that it would be useful to have
>> an informative reference to Fikouras, K\"onsgen and G\"org
>> "Accelerating Link-Layer Handoffs Through Link-Layer Information"
>> When discussing putting the L3 Identifier in the ESSID, for
>> comparison's sake.

Thks for the info.

>> I'll email you later and ask more specific questions, if that is OK?

why not ? 8-)

Lastly, thanks again for taking your time off your schedule to read the draft.

Cheers,
Paul

>>> Greg Daley <[email-masked]> 03/06/03 08:19AM >>>
Hi Paul,

Certainly the use of an Information Element or elements
to perform Upper layer signalling is an interesting one,
but there are some concerns which I have.

Section 7.2.3 of 802.11 mentions that IEs which aren't
understood may be ignored by those reading the IEs.
This means that nodes which understand the application
specific IEs will be able to process them and other
devices will skip them (if those devices conform to 802.11).

This is good, though could be made more explicit in your
document's text.

Unfortunately, there is not any Application-Specific-IE
defined in 802.11, and the abovementioned paragraph
says: "Element type codes not explicitly defined in
this standard are reserved, and do not appear in any frames."

This means that the responsibility of allocating an
application-specific-IE rests with IEEE, rather than IETF.
I'm sure that for proof-of-concept this won't be a problem though.

Also, I think that it would be useful to have
an informative reference to Fikouras, K\"onsgen and G\"org
"Accelerating Link-Layer Handoffs Through Link-Layer Information"
When discussing putting the L3 Identifier in the ESSID, for
comparison's sake.

I'll email you later and ask more specific questions, if that is OK?

Greg Daley

Paul Tan Hock Lai wrote:
> Dear contributors,
> 
> I have recently submitted an individual draft which entails recommendations on achieving seamless IPv6 handover in 802.11 networks.
> 
> ** abstract **
> To achieve seamless layer 3 handover, mobile nodes must be able to perform movement detection and neighborhood candidate access routers discovery quickly and efficiently.  
>     
> In this document, we present a conceptual overview on how to extend the IEEE 802.11 Management frames to carry extensible application-specific Information Element, which allow access points to advertise the capabilities information of its associated network/provider and also to improve movement detection. We believe that mobile nodes can thus dynamically discover neighboring candidate access routers or networks more quickly and efficiently, and also to obtain valuable capabilities information so as to select the 'best' target access router to initiate seamless handover.  
> 
> You are most welcome to read this draft from the following link:
> http://www.ietf.org/internet-drafts/draft-paultan-seamless-ipv6-handoff-802-00.txt 
> 
> I sincerely look forward to your valuable feedback concerning this draft. All comments and inputs are welcomed and greatly appreciated.
> 
> Yours Sincerely,
> Paul Tan
> 
> " .... success is never guarantee 
>   but failure is, if you don't
>   even try ... "
> 
> 
> 
> 
>